# $Id: libquicktime.spec,v 1.2 2003/04/22 17:51:12 dude Exp $

%define pre pre1

Summary: A library for reading and writing quicktime files.
Name: libquicktime
Version: 0.9.2
Release: %{?pre:0.%{pre}.}2
License: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libquicktime/%{name}-%{version}%{?pre}.tar.bz2
URL: http://libquicktime.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+, libdv, libvorbis
%{!?_without_firewire:Requires: libraw1394, libavc1394}
BuildRequires: gtk+-devel, libdv-devel, libvorbis-devel
%{!?_without_firewire:BuildRequires: libraw1394-devel, libavc1394-devel}
# The configure automatically adds MMX stuff it detected
%ifarch i386
%{!?_without_mmx:%define _without_mmx 1}
%endif

%description
libquicktime is a library for reading and writing quicktime files. It
is based on the quicktime4linux library, with many extensions.

Available rpmbuild rebuild options :
--without : firewire mmx


%package devel
Summary: Development files from the libquicktime library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libquicktime is a library for reading and writing quicktime files. It
is based on the quicktime4linux library, with many extensions.

You will need to install this development package if you intend to rebuild
programs that need to access quicktime files using libquicktime.


%prep
%setup -q -n %{name}-%{version}%{?pre}

%build
# Break ffmpeg detection on purpose, as it doesn't compile
perl -pi -e 's|ffmpeg/avcodec.h|foobarmpeg/avcodec.h|g' configure
# Fix plugin compilation
perl -pi -e 's|^LDFLAGS = |LDFLAGS = -L../../src/.libs |' plugins/*/Makefile
%configure \
        %{?_without_firewire:--disable-firewire} \
        %{?_without_mmx:--disable-mmx}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/lqtplay
%{_bindir}/qt*
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_bindir}/libquicktime_config
%{_bindir}/lqt-config
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_datadir}/aclocal/*.m4

%changelog
* Wed Oct 22 2003 Peter Hanecak <hanecak@megaloman.sk> 0.9.2-0.pre1.1
- adapted to Doors Linux
- .bz2 source archiv

* Tue Apr 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix plugin compilation, thanks to Dag.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

